Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.opti
Class DefaultDocument

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.opti.DefaultNode
            |
            +--org.apache.xerces.impl.xs.opti.NodeImpl
                  |
                  +--org.apache.xerces.impl.xs.opti.DefaultDocument

All Implemented Interfaces:
  org.w3c.dom.Document, org.w3c.dom.Node

Direct Known Subclasses:
  SchemaDOM

public class DefaultDocument
extends NodeImpl
implements org.w3c.dom.Document

Version:
  $Id: DefaultDocument.java,v 1.3 2002/12/30 21:21:08 elena Exp $
Author:
  Rahul Srivastava, Sun Microsystems Inc.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DefaultDocument()`

Method Summary
`org.w3c.dom.Node` | `adoptNode(org.w3c.dom.Node source)` DOM Level 3
`org.w3c.dom.Attr` | `createAttribute(java.lang.String name)`
`org.w3c.dom.Attr` | `createAttributeNS(java.lang.String namespaceURI, java.lang.String qualifiedName)`
`org.w3c.dom.CDATASection` | `createCDATASection(java.lang.String data)`
`org.w3c.dom.Comment` | `createComment(java.lang.String data)`
`org.w3c.dom.DocumentFragment` | `createDocumentFragment()`
`org.w3c.dom.Element` | `createElement(java.lang.String tagName)`
`org.w3c.dom.Element` | `createElementNS(java.lang.String namespaceURI, java.lang.String qualifiedName)`
`org.w3c.dom.EntityReference` | `createEntityReference(java.lang.String name)`
`org.w3c.dom.ProcessingInstruction` | `createProcessingInstruction(java.lang.String target, java.lang.String data)`
`org.w3c.dom.Text` | `createTextNode(java.lang.String data)`
`java.lang.String` | `getActualEncoding()`
`org.apache.xerces.dom3.DOMConfiguration` | `getConfig()` The configuration used when `Document.normalizeDocument` is invoked.
`org.w3c.dom.DocumentType` | `getDoctype()`
`org.w3c.dom.Element` | `getDocumentElement()`
`java.lang.String` | `getDocumentURI()` The location of the document or `null` if undefined.
`org.w3c.dom.Element` | `getElementById(java.lang.String elementId)`
`org.w3c.dom.NodeList` | `getElementsByTagName(java.lang.String tagname)`
`org.w3c.dom.NodeList` | `getElementsByTagNameNS(java.lang.String namespaceURI, java.lang.String localName)`
`java.lang.String` | `getEncoding()`
`org.w3c.dom.DOMImplementation` | `getImplementation()`
`boolean` | `getStandalone()` An attribute specifying, as part of the XML declaration, whether this document is standalone.
`boolean` | `getStrictErrorChecking()` An attribute specifying whether errors checking is enforced or not.
`java.lang.String` | `getVersion()` An attribute specifying, as part of the XML declaration, the version number of this document.
`org.w3c.dom.Node` | `importNode(org.w3c.dom.Node importedNode, boolean deep)`
`void` | `normalizeDocument()` DOM Level 3
`org.w3c.dom.Node` | `renameNode(org.w3c.dom.Node n, java.lang.String namespaceURI, java.lang.String name)` DOM Level 3
`void` | `setActualEncoding(java.lang.String actualEncoding)`
`void` | `setDocumentURI(java.lang.String documentURI)` The location of the document or `null` if undefined.
`void` | `setEncoding(java.lang.String encoding)` An attribute specifying, as part of the XML declaration, the encoding of this document.
`void` | `setStandalone(boolean standalone)` An attribute specifying, as part of the XML declaration, whether this document is standalone.
`void` | `setStrictErrorChecking(boolean strictErrorChecking)` An attribute specifying whether errors checking is enforced or not.
`void` | `setVersion(java.lang.String version)` An attribute specifying, as part of the XML declaration, the version number of this document.

Methods inherited from class org.apache.xerces.impl.xs.opti.NodeImpl
`getLocalName, getNamespaceURI, getNodeName, getNodeType, getPrefix, getReadOnly, setReadOnly`

Methods inherited from class org.apache.xerces.impl.xs.opti.DefaultNode
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFirstChild, getInterface, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### DefaultDocument

    public DefaultDocument()

Method Detail

### getDoctype

    public org.w3c.dom.DocumentType getDoctype()

  Specified by:
    `getDoctype` in interface `org.w3c.dom.Document`

### getImplementation

    public org.w3c.dom.DOMImplementation getImplementation()

  Specified by:
    `getImplementation` in interface `org.w3c.dom.Document`

### getDocumentElement

    public org.w3c.dom.Element getDocumentElement()

  Specified by:
    `getDocumentElement` in interface `org.w3c.dom.Document`

### getElementsByTagName

    public org.w3c.dom.NodeList getElementsByTagName(java.lang.String tagname)

  Specified by:
    `getElementsByTagName` in interface `org.w3c.dom.Document`

### getElementsByTagNameNS

    public org.w3c.dom.NodeList getElementsByTagNameNS(java.lang.String namespaceURI,
                                                       java.lang.String localName)

  Specified by:
    `getElementsByTagNameNS` in interface `org.w3c.dom.Document`

### getElementById

    public org.w3c.dom.Element getElementById(java.lang.String elementId)

  Specified by:
    `getElementById` in interface `org.w3c.dom.Document`

### importNode

    public org.w3c.dom.Node importNode(org.w3c.dom.Node importedNode,
                                       boolean deep)
                                throws org.w3c.dom.DOMException

  Specified by:
    `importNode` in interface `org.w3c.dom.Document`

### createElement

    public org.w3c.dom.Element createElement(java.lang.String tagName)
                                      throws org.w3c.dom.DOMException

  Specified by:
    `createElement` in interface `org.w3c.dom.Document`

### createDocumentFragment

    public org.w3c.dom.DocumentFragment createDocumentFragment()

  Specified by:
    `createDocumentFragment` in interface `org.w3c.dom.Document`

### createTextNode

    public org.w3c.dom.Text createTextNode(java.lang.String data)

  Specified by:
    `createTextNode` in interface `org.w3c.dom.Document`

### createComment

    public org.w3c.dom.Comment createComment(java.lang.String data)

  Specified by:
    `createComment` in interface `org.w3c.dom.Document`

### createCDATASection

    public org.w3c.dom.CDATASection createCDATASection(java.lang.String data)
                                                throws org.w3c.dom.DOMException

  Specified by:
    `createCDATASection` in interface `org.w3c.dom.Document`

### createProcessingInstruction

    public org.w3c.dom.ProcessingInstruction createProcessingInstruction(java.lang.String target,
                                                                         java.lang.String data)
                                                                  throws org.w3c.dom.DOMException

  Specified by:
    `createProcessingInstruction` in interface `org.w3c.dom.Document`

### createAttribute

    public org.w3c.dom.Attr createAttribute(java.lang.String name)
                                     throws org.w3c.dom.DOMException

  Specified by:
    `createAttribute` in interface `org.w3c.dom.Document`

### createEntityReference

    public org.w3c.dom.EntityReference createEntityReference(java.lang.String name)
                                                      throws org.w3c.dom.DOMException

  Specified by:
    `createEntityReference` in interface `org.w3c.dom.Document`

### createElementNS

    public org.w3c.dom.Element createElementNS(java.lang.String namespaceURI,
                                               java.lang.String qualifiedName)
                                        throws org.w3c.dom.DOMException

  Specified by:
    `createElementNS` in interface `org.w3c.dom.Document`

### createAttributeNS

    public org.w3c.dom.Attr createAttributeNS(java.lang.String namespaceURI,
                                              java.lang.String qualifiedName)
                                       throws org.w3c.dom.DOMException

  Specified by:
    `createAttributeNS` in interface `org.w3c.dom.Document`

### getActualEncoding

    public java.lang.String getActualEncoding()

### setActualEncoding

    public void setActualEncoding(java.lang.String actualEncoding)

### getEncoding

    public java.lang.String getEncoding()

### setEncoding

    public void setEncoding(java.lang.String encoding)

  An attribute specifying, as part of the XML declaration, the encoding of this document. This is `null` when unspecified.
  Since:
    DOM Level 3

### getStandalone

    public boolean getStandalone()

  An attribute specifying, as part of the XML declaration, whether this document is standalone.
  This attribute represents the property [standalone] defined in .
  Since:
    DOM Level 3

### setStandalone

    public void setStandalone(boolean standalone)

  An attribute specifying, as part of the XML declaration, whether this document is standalone.
  This attribute represents the property [standalone] defined in .
  Since:
    DOM Level 3

### getVersion

    public java.lang.String getVersion()

  An attribute specifying, as part of the XML declaration, the version number of this document. This is `null` when unspecified.
  This attribute represents the property [version] defined in .
  Throws:
    `org.w3c.dom.DOMException` - NOT_SUPPORTED_ERR: Raised if the version is set to a value that is not supported by this `Document`.
  Since:
    DOM Level 3

### setVersion

    public void setVersion(java.lang.String version)
                    throws org.w3c.dom.DOMException

  An attribute specifying, as part of the XML declaration, the version number of this document. This is `null` when unspecified.
  This attribute represents the property [version] defined in .
  Throws:
    `org.w3c.dom.DOMException` - NOT_SUPPORTED_ERR: Raised if the version is set to a value that is not supported by this `Document`.
  Since:
    DOM Level 3

### getStrictErrorChecking

    public boolean getStrictErrorChecking()

  An attribute specifying whether errors checking is enforced or not. When set to `false`, the implementation is free to not test every possible error case normally defined on DOM operations, and not raise any `DOMException`. In case of error, the behavior is undefined. This attribute is `true` by defaults.
  Since:
    DOM Level 3

### setStrictErrorChecking

    public void setStrictErrorChecking(boolean strictErrorChecking)

  An attribute specifying whether errors checking is enforced or not. When set to `false`, the implementation is free to not test every possible error case normally defined on DOM operations, and not raise any `DOMException`. In case of error, the behavior is undefined. This attribute is `true` by defaults.
  Since:
    DOM Level 3

### getDocumentURI

    public java.lang.String getDocumentURI()

  The location of the document or `null` if undefined.
  Beware that when the `Document` supports the feature "HTML" , the href attribute of the HTML BASE element takes precedence over this attribute.
  Since:
    DOM Level 3

### setDocumentURI

    public void setDocumentURI(java.lang.String documentURI)

  The location of the document or `null` if undefined.
  Beware that when the `Document` supports the feature "HTML" , the href attribute of the HTML BASE element takes precedence over this attribute.
  Since:
    DOM Level 3

### adoptNode

    public org.w3c.dom.Node adoptNode(org.w3c.dom.Node source)
                               throws org.w3c.dom.DOMException

  DOM Level 3

### normalizeDocument

    public void normalizeDocument()

  DOM Level 3

### getConfig

    public org.apache.xerces.dom3.DOMConfiguration getConfig()

  The configuration used when `Document.normalizeDocument` is invoked.
  Since:
    DOM Level 3

### renameNode

    public org.w3c.dom.Node renameNode(org.w3c.dom.Node n,
                                       java.lang.String namespaceURI,
                                       java.lang.String name)
                                throws org.w3c.dom.DOMException

  DOM Level 3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.